> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new currency pairs



## OpenAPI

````yaml Wallet post /currency-pairs
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /currency-pairs:
    post:
      tags:
        - Currency Pairs
      summary: Create new currency pairs
      operationId: CurrencyPairController_addCurrencyPair
      parameters:
        - name: tenantId
          in: header
          description: Tenant Id
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCurrencyPairReq'
        required: true
      responses:
        '200':
          description: Created new currency pairs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyPairDto'
      security:
        - default: []
components:
  schemas:
    CreateCurrencyPairReq:
      required:
        - currencyIds
        - operationDestinationId
      type: object
      properties:
        operationDestinationId:
          type: string
        currencyIds:
          type: array
          items:
            type: string
    CurrencyPairDto:
      required:
        - baseCurrency
        - baseCurrencyId
        - id
        - pair
        - quoteCurrency
        - quoteCurrencyId
      type: object
      properties:
        id:
          type: string
        baseCurrency:
          type: string
        quoteCurrency:
          type: string
        pair:
          type: string
        baseCurrencyId:
          type: string
        quoteCurrencyId:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````